import request from '@/utils/request'

// 查询司法拍卖信息列表
export function listAuction(query) {
    return request({
        url: '/crmJudicialAuction/findByPage',
        method: 'get',
        params: query
    })
}

// 查询司法拍卖信息详细
export function getAuction(id) {
    return request({
        url: '/crmJudicialAuction/' + id,
        method: 'get'
    })
}

// 新增司法拍卖信息
export function addAuction(data) {
    return request({
        url: '/crmJudicialAuction',
        method: 'post',
        data: data
    })
}

// 修改司法拍卖信息
export function updateAuction(data) {
    return request({
        url: '/crmJudicialAuction',
        method: 'put',
        data: data
    })
}

// 删除司法拍卖信息
export function delAuction(id) {
    return request({
        url: '/crmJudicialAuction/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delAuctionBatch(ids) {
    console.log(ids);
    return request.post('/crmJudicialAuction/delete',ids)
}